:root {
    --rt-tag-bg: var(--color-purple-100);
    --rt-tag-border: var(--color-purple-200);
}

.watch__title {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
}

.watch-page-layout {
    display: grid;
    gap: 15px;
    grid-template-columns: 660px 285px;
    grid-template-rows: auto 1fr;
    grid-template-areas:
        "view recommended"
        "comments recommended";
}

.recommended-section {
    max-width: 100%;
    align-self: flex-start;
    grid-area: recommended;
}

.view-section {
    display: flex;
    flex-direction: column;
    gap: 8px;
    height: fit-content;
    max-width: 670px;
    grid-area: view;
}

.view-section__details {
    display: flex;
    flex-direction: row;
    text-align: start;
    gap: 15px;
    background-color: #f3f3f3;
    border-top: 1px solid var(--rt-border-subtle);
    border-bottom: 1px solid var(--rt-border-subtle);
    margin: 2px -15px 0px -15px;
    padding: 5px 15px 4px 15px;
}

.view-section__stats {
    display: flex;
    flex-direction: column;
    margin-left: auto;
    gap: 5px;
}

.view-section__additional-info {
    display: flex;
    width: 100%;
    align-items: center;
    background-color: #f3f3f3;
    border-bottom: 1px solid var(--rt-border-subtle);
    margin: -8px -15px 4px -15px;
    padding: 8px 15px 6px 15px;
}

.view-section__description {
    margin-top: 10px;
}

.view-section__controls {
    display: flex;
    gap: 10px;
    padding: 5px var(--rt-layout-padding) 5px var(--rt-layout-padding);
    margin-top: -10px;
    background-color: var(--rt-bg-surface);
    border-top: 1px solid var(--rt-border-subtle);
}

.view-section__controls-section {
    display: flex;
    flex-direction: column;
    border-bottom: 1px solid var(--rt-border-subtle);
    padding: 15px;
    gap: 5px;
}

.view-section__controls-section--tags {
    flex-direction: row;
    flex-wrap: wrap;
}

.watch-page.tag {
    padding: 2px 5px;
    background: var(--rt-tag-bg);
    border: 1px solid var(--rt-tag-border);
    border-radius: var(--rt-layout-radius);
    font-size: 14px;
    width: fit-content;
}

@media (max-width: 960px) {
    .watch-page-layout {
        grid-template-columns: 1fr;
        grid-template-areas:
            "view" "recommended" "comments";
    }
}